<div class="row">
  <div class="col-sm-12">
    <form [formGroup]="trainingForm" (ngSubmit)="onSubmit()">
      <div class="row">
        <div class="col-sm-12 mb-2">
          <button type="submit" class="btn btn-success mr-1" [disabled]="!trainingForm.valid">Enregistrer</button>
          <button type="button" class="btn btn-danger" (click)="onCancel()">Annuler</button>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12">
          <div class="form-group">
            <label for="name">Nom</label>
            <input type="text" id="name" class="form-control" formControlName="name">
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12">
          <div class="form-group">
            <label for="desc">Description</label>
            <textarea type="text" id="desc" class="form-control" formControlName="description"></textarea>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12" formArrayName="exercices">
          <label>Exercices</label>
          <div class="row" *ngFor="let exerciceCtrl of getControls(); let i = index;" [formGroupName]="i">
            <div class="col-sm-10">
              <div class="form-group">
                <input type="text" id="exercice" class="form-control" formControlName="name">
              </div>
            </div>
            <div class="col-sm-2">
              <button type="button" class="btn btn-danger" (click)="onDeleteExercice(i)">X</button>
            </div>
          </div>
          <hr>
          <div class="row">
            <div class="col-sm-12">
              <button type="button" class="btn btn-info" (click)="onAddExercice()">Ajouter un exercice</button>
            </div>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>